%global momorel 8
%global require_kernel_ver 2.6.35.4-7m%{?dist}

%global spl_ver 0.5.0
%global zfs_ver 0.5.0
%global kver %{require_kernel_ver}.%{_arch}

%global spldir /usr/src/spl-%{spl_ver}/%{kver}
%global kdir /usr/src/kernels/%{kver}

Summary:         ZFS File System
Group:           System Environment/Base
Name:            zfs-modules
Version:         %{zfs_ver}
Release:         %{momorel}m%{?dist}
License:         "CDDL"
URL:             git://eris.llnl.gov/zfs.git
BuildRoot:       %{_tmppath}/%{name}-%{version}-%{release}-%(%{__id} -un)
Source0:         http://github.com/downloads/behlendorf/zfs/zfs-%{version}.tar.gz
NoSource:        0
Requires:        kernel = %{require_kernel_ver}
BuildRequires:   kernel-devel = %{require_kernel_ver}
ExclusiveArch:   x86_64

%description
The %{name} package contains kernel modules and support utilities for
the %{name} file system.

%package devel
Summary:         ZFS File System Headers and Symbols
Group:           Development/Libraries
Requires:        filesystem
Requires:        kernel = %{require_kernel_ver}
BuildRequires:   kernel-devel = %{require_kernel_ver}

%description devel
The %{name}-devel package contains the kernel header files and 
Module.symvers symbols needed for building additional modules
which use %{name}.

%prep
%setup -q -n zfs-%{version}
%build
%configure --with-linux=%{kdir} --with-linux-obj=%{kdir} \
           --with-spl=%{spldir} --with-spl-obj=%{spldir}/module \
           --with-config=kernel
%make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
/lib/modules/%{kver}/addon/zfs/*

%files devel
%defattr(-,root,root)
%{_prefix}/src/zfs-%{zfs_ver}/%{kver}


%post
if [ -f /boot/System.map-%{kver} ]; then
	depmod -ae -F /boot/System.map-%{kver} %{kver} || exit 0
else
	depmod -ae %{kver} || exit 0
fi

%postun
if [ -f /boot/System.map-%{kver} ]; then
	depmod -ae -F /boot/System.map-%{kver} %{kver} || exit 0
else
	depmod -ae %{kver} || exit 0
fi

%changelog
* Sat Sep 11 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.0-8m)
- drop ix86 build only x86_64

* Thu Sep  2 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.0-7m)
- [BUILD FIX] specify Release of kernel

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5.0-6m)
- full rebuild for mo7 release

* Sun Aug 29 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.0-5m)
- fix up spec file for x86_64

* Sun Aug 29 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.5.0-4m)
- cleanup spec
- rebuild against kernel-2.6.35.4-6m
- build zfs-modules-PAE, zfs-modules-PAE-devel

* Mon Aug 23 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.0-3m)
- rebuild against

* Sun Aug 22 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.0-2m)
- rebuild against kernel 2.6.35.3

* Tue Aug 17 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.0-1m)
- update

* Sun Jun  6 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.4.9-1m)
- initial made for Momonga Linux
